<template>
  <div class="forgotBox">
    <div class="resetBox">
      <header>
        <ErrorNotify />
      </header>
      <main class="rMain">
        <div class="rText">
          <h1>Create New Password</h1>
          <span
            >Your new password must be different from previous used
            password.</span
          >
        </div>
        <div class="emailInput" id="newPass">
          <label>Password</label>
          <input type="text" placeholder="Email" v-model="newPass" />
          <span>Must be at least 8 characters</span>
        </div>
        <div class="emailInput" id="newPass">
          <label>Confirm Password</label>
          <input type="text" placeholder="Email" v-model="ConfNewPass" />
          <span>Both password must match</span>
        </div>
        <button
          @click="NewPass(newPass, ConfNewPass)"
          @keyup.enter="NewPass(newPass, ConfNewPass)"
        >
          Reset Password
        </button>
      </main>
    </div>
  </div>
</template>

<script>
import ErrorNotify from "../ErrorNotify/ErrorNotify";
import { mapGetters } from "vuex";
const axios = require("axios").create({ baseURL: "http://localhost:5001/" });
export default {
  components: {
    ErrorNotify,
  },
  data() {
    return {
      newPass: "",
      ConfNewPass: "",
    };
  },
  computed: mapGetters(["axios"]),
  methods: {
    NewPass(newPass, confPass) {
      if (!newPass || !confPass) {
        this.$store.commit("Erralert", "Please write inputs!");
      } else if (!(newPass.length >= 8)) {
        this.$store.commit(
          "Erralert",
          "Please write an 8-digit or more password!"
        );
      } else if ((newPass = !confPass)) {
        this.$store.commit("Erralert", "password!");
      } else {
        this.axios.post("resetPass", { newPass }).catch(() => {
          this.$store.commit("Erralert", "ERROR: 505");
        });
      }
    },
  },
  beforeRouteEnter(to, from, next) {
    axios.post("reset", { id: to.params.resetId }).then((result) => {
      if (result.data.succsess) {
        next();
        console.log(result.data.succsess);
      } else {
        next({ name: "404" });
        console.log(result.data.succsess);
      }
    });
  },
};
</script>
<style lang="scss">
#newPass {
  margin-bottom: 3vh;
}
</style>